Fillet Multiple Polylines / lines

is there any method to do multiple fillets?

something like this:

https://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/fillet-multi-lines/td-p/6773158

in the link exist a lisp do this task but in AutoCAD, do work as expected in BricsCAD.


https://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/extend-trim-selected-lines/td-p/9258575/page/2

Comments

  • Try this option 1 only can do option2 by reversing one side list.

    ; Fillets multi lines in one go
    ;By Alan H

    (defun AH:Fmulti ( / ss fpts num num2 x y)
    (alert "pick outside-inside-outside")
    (setq fpts '())

    (setq pt1 (getpoint "Pick outside "))
    (setq fpts (cons pt1 fpts))
    (setq pt1 (getpoint pt1 "Pick inside "))
    (setq fpts (cons pt1 fpts))
    (setq fpts (cons (getpoint pt1 "Pick outside ") fpts))

    (setq ss (ssget "F" fpts (list (cons 0 "*LINE"))))
    (princ (sslength ss))
    (setq num (sslength ss))
    (setq num2 (/ num 2.0))
    (if (= (- (fix num2) num2) 0.5)
    (progn
    (Alert "you have an odd number of lines please check")
    (exit)
    )
    )

    (setq x 0)
    (setq y (- num 1))
    (setvar "filletrad" 0.0)
    (repeat (fix num2) ; not a real
    (setq obj1 (ssname ss x))
    (setq obj2 (ssname ss y))
    (command "fillet" obj1 obj2)
    (setq x (+ x 1))
    (setq y (- y 1))
    )

    ) ; defun
    (AH:fmulti)